<template>
	<view class="skeleton-template">
		 <image :src="setSrc" mode="widthFix"></image>
	</view>
</template>

<script>
	var self;
	export default{
		data() {
			return{
				skeletonList: {
					empty: 'https://img.caimei365.com/group1/M00/03/71/Cmis2F3wna6AaQCxAAB0ju39mYk608.png',				
				},
				skeletonMemList: {
					empty: 'https://img.caimei365.com/group1/M00/03/72/Cmis2F3xt_CALrJcAAEE4AHIZ1g310.png',				
				},
			}
		},
		props:{
			listType:String,
			src: {
				type: String,
				default: 'empty'
			}
		},
		created(){
			
		},
		computed: {
			setSrc() {
				let url;
				if(this.listType== 0){					
					url = this.skeletonList[this.src]
				}else{
					url = this.skeletonMemList[this.src]
				}
				return url;
			},
		},
	}
</script>

<style lang="scss">
	.skeleton-template {
		image {
			width: 100%;
			height: 100%;
		}
	}
</style>
